EasyGui version 0.96 BETA is available

EasyGui version 0.96 BETA is available.

It can be downloaded from the beta download page of the EasyGui page at SourceForge.

This version of EasyGui fixes some problems with Python-version independence.

  • A statement with Python 2.x-style exception-handling syntax raised a syntax error when running under Python 3.x. Thanks to David Williams for reporting this problem.
  • Under some circumstances, PIL was unable to display non-gif images that it should have been able to display. The cause appears to have been some non-Python-version-independent import syntax. PIL modules are now imported with a version-independent syntax. Thanks to Horst Jens for reporting this problem.

This version of EasyGui was built with a new set of build scripts. If you encounter a problem with a distribution file, please let me know ASAP via the contact page at www.ferg.org.

Ben — Please contact me via the contact page at www.ferg.org.

This entry was posted in Uncategorized. Bookmark the permalink.

2 Responses to EasyGui version 0.96 BETA is available

  1. Horst JENS says:

    0.96 is working fine, tested with png, jpg and gif image. Thanks for mentoning my name in the blog post. This new version of Easygui will make learning python even more joyful for my students. No more need to convert pictures into gif format.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google photo

You are commenting using your Google account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s